API ReferenceapiaiGET /v1/conversations/{id}/messages

GET /v1/conversations/\{id\}/messages

Service: ai · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Query parameters

  • limit (integer) —

Responses

200 Conversation history

{
  "type": "object",
  "properties": {
    "total": {
      "type": "integer",
      "minimum": 0
    },
    "messages": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "conversation_id": {
            "type": "string",
            "format": "uuid"
          },
          "role": {
            "type": "string",
            "enum": [
              "user",
              "assistant",
              "system",
              "tool"
            ]
          },
          "content": {
            "type": "string"
          },
          "tool_calls": {
            "type": [
              "array",
              "null"
            ],
            "items": {}
          },
          "token_usage": {
            "type": [
              "object",
              "null"
            ],
            "properties": {
              "prompt_tokens": {
                "type": "number"
              },
              "completion_tokens": {
                "type": "number"
              },
              "total_tokens": {
                "type": "number"
              }
            },
            "required": [
              "prompt_tokens",
              "completion_tokens",
              "total_tokens"
            ]
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {}
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "conversation_id",
          "role",
          "content",
          "tool_calls",
          "token_usage",
          "metadata",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "total",
    "messages"
  ]
}

404 Conversation not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://ai.platform.loop.health/v1/conversations/{id}/messages \
  -H "Authorization: Bearer $ACCESS_TOKEN"